OPTIMIZE2BW(1)

NAME
optimize2bw - automatic thresholder of the ExactImage toolkit

SYNOPSIS

optimize2bw [option...] {-i | --input} input-file {-o | --output} output-file

optimize2bw --help

DESCRIPTION

ExactImage is a fast C++ image processing library. Unlike many other library frameworks it allows operation in several color spaces and bit depths natively, resulting in low memory and computational requirements.

optimize2bw reads image files and performs automatic thresholding and optional scaling on the data. It is useful for long term archiving of documents that have to be stored in sub-byte black and white data to reduce storage requirements.

OPTIONS

-i file, --input file
    Read image from the specified file.

-o file, --output file
    Save output image to the specified file.

-n, --denoise
    Remove (“denoise”) single bit pixel noise.

-d n, --dpi n
    Scale the image to the specified resolution.

-h n, --high n
    Set high normalization value.

-l n, --low n
    Set low normalization value.

-r n, --radius n
    Set “unsharp mask” radius. The default is 0.

-s n, --scale n
    Set output scale factor. The default is 1.0.

-sd x, --standard-deviation x
    Set standard deviation for Gaussian distribution. The default is 0.0.

-t n, --threshold n
    Set threshold value. The default is 0.

--help
    Display help text and exit.

EXAMPLES

    $ optimize2bw -i logo.jpg -o logo.tif
    Scale: 0

SEE ALSO

exactimage(7)

AUTHORS

Jakub Wilk <jwilk@debian.org>
    Wrote this manual page for the Debian system.

https://exactcode.com/opensource/exactimage/
    This manual page incorporates texts found on the ExactImage homepage.

COPYRIGHT

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-2.